Last Comment Bug 714062 - Add-ons Manager page should be opened once, e.g. tapping on "Add-ons" should switch to opened about:addons page
: Add-ons Manager page should be opened once, e.g. tapping on "Add-ons" should ...
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: Trunk
: ARM Android
: P3 normal (vote)
: Firefox 12
Assigned To: Mark Finkle (:mfinkle) (use needinfo?)
:
Mentors:
about:addons
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-29 07:25 PST by Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( )
Modified: 2012-01-13 10:51 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
11+


Attachments
patch (3.20 KB, patch)
2012-01-02 14:47 PST, Mark Finkle (:mfinkle) (use needinfo?)
mbrubeck: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Review

Description Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2011-12-29 07:25:49 PST
Steps to reproduce:
- In the menu tap on "Add-ons"
- In the menu tap on "Add-ons"

Expected result:
- The same page should stay visible 'about:addons', not a new 'about:addons' page should be visible

Actual result:
- A new tab is opened with 'about:addons'
Comment 1 Mark Finkle (:mfinkle) (use needinfo?) 2012-01-02 14:47:56 PST
Created attachment 585336 [details] [diff] [review]
patch

Converts the existing loadUrlInNewTab to loadUrlInTab and selects an existing tab with the given URL before creating a new tab.
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2012-01-03 11:06:29 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/e8589944b671
Comment 3 Marco Bonardo [::mak] 2012-01-04 04:46:18 PST
https://hg.mozilla.org/mozilla-central/rev/e8589944b671
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2012-01-04 05:40:44 PST
Comment on attachment 585336 [details] [diff] [review]
patch

Good polish for aurora
Comment 5 Alex Keybl [:akeybl] 2012-01-04 15:55:35 PST
Comment on attachment 585336 [details] [diff] [review]
patch

[Triage Comment]
Mobile only - approved for Aurora.
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2012-01-06 06:17:50 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/283390c05888
Comment 7 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2012-01-13 10:51:31 PST
Verified fixed in current Native Fennec build on the LG Optimus Black.

I was also hoping/thinking this would be the case when opening a new tab with 'about:addons', but that's not the case currently, so I filed bug 717991 for it.

Note You need to log in before you can comment on or make changes to this bug.